package org.wfc.common.core.web.form;

/**
 * WANFi门户重定向参数
 *
 * @author wfc
 */
public class WANFiRedirectParams {

    /**
     * 用戶的MAC
     */
    private String clientMac;
    /**
     * 用戶的IP
     */
    private String clientIp;
    /**
     * 這裡的單位為microsecond
     */
    private long t;
    /**
     *
     * 站點名稱
     */
    private String site;
    /**
     * 成功驗證後要訪問的URL，可以在登入頁面中設定。
     */
    private String redirectUrl;
    /**
     * 用戶連接的EAP MAC
     */
    private String apMac;
    /**
     * 用戶連接的SSID名稱
     */
    private String ssidName;
    /**
     * 用戶連接頻段的Radio ID，0代表2.4G、1代表5G。
     */
    private int radioId;

    // Getters and Setters
    public String getClientMac() {
        return clientMac;
    }

    public void setClientMac(String clientMac) {
        this.clientMac = clientMac;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public long getT() {
        return t;
    }

    public void setT(long t) {
        this.t = t;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getRedirectUrl() {
        return redirectUrl;
    }

    public void setRedirectUrl(String redirectUrl) {
        this.redirectUrl = redirectUrl;
    }

    public String getApMac() {
        return apMac;
    }

    public void setApMac(String apMac) {
        this.apMac = apMac;
    }

    public String getSsidName() {
        return ssidName;
    }

    public void setSsidName(String ssidName) {
        this.ssidName = ssidName;
    }

    public int getRadioId() {
        return radioId;
    }

    public void setRadioId(int radioId) {
        this.radioId = radioId;
    }
}

